#
# spec file for package obs-service-bundle_gems
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service bundle_gems

Name:           obs-service-%{service}
Version:        0.0.1547714231.a905777
Release:        5.1
Summary:        An OBS source service: Add gems to sources
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/dmacvicar/obs-service-%{service}
Source0:        obs-service-%{service}-%{version}.tar.gz
Requires:       %rb_default_ruby_suffix
Requires:       rubygem(%{rb_default_ruby_abi}:bundler)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It reads the source Gemfile and updates the spec file to bundle
all gems as Sources, that can be downloaded by download_files.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 bundle_gems %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 bundle_gems.service %{buildroot}%{_prefix}/lib/obs/service

pushd %{buildroot}%{_prefix}/lib/obs/service
sed -i -e "1 s,#!/usr/bin/env ruby$,#!/usr/bin/ruby.%rb_default_ruby_suffix," bundle_gems
popd

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
